| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
SampleInfo Struct Reference

SampleInfo is the information that accompanies each sample that is ‘read’ or ‘taken. More...

`#include <SampleInfo.hpp>`

## Public Attributes

SampleStateKind | sample_state
| indicates whether or not the corresponding data sample has already been read
ViewStateKind | view_state
| indicates whether the DataReader has already seen samples for the most-current generation of the related instance.
InstanceStateKind | instance_state
| indicates whether the instance is currently in existence or, if it has been disposed, the reason why it was disposed.
int32_t | disposed_generation_count
| number of times the instance had become alive after it was disposed
int32_t | no_writers_generation_count
| number of times the instance had become alive after it was disposed because no writers
int32_t | sample_rank
| number of samples related to the same instance that follow in the collection
int32_t | generation_rank
| the generation difference between the time the sample was received, and the time the most recent sample in the collection was received.
int32_t | absolute_generation_rank
| the generation difference between the time the sample was received, and the time the most recent sample was received.
rtps::Time_t | source_timestamp
| time provided by the DataWriter when the sample was written
rtps::Time_t | reception_timestamp
| time provided by the DataReader when the sample was added to its history
InstanceHandle_t | instance_handle
| identifies locally the corresponding instance
InstanceHandle_t | publication_handle
| identifies locally the DataWriter that modified the instance
bool | valid_data
| whether the DataSample contains data or is only used to communicate of a change in the instance
rtps::SampleIdentity | sample_identity
| Sample Identity (Extension for RPC).
rtps::SampleIdentity | related_sample_identity
| Related Sample Identity (Extension for RPC).
bool | has_more_replies = false
| Flag to indicate if there are more replies (Extension for RPC).

## Detailed Description

SampleInfo is the information that accompanies each sample that is ‘read’ or ‘taken.

’

## Member Data Documentation

## ◆ absolute_generation_rank

int32_t absolute_generation_rank

the generation difference between the time the sample was received, and the time the most recent sample was received.

The most recent sample used for the calculation may or may not be in the returned collection

## ◆ disposed_generation_count

int32_t disposed_generation_count

number of times the instance had become alive after it was disposed

## ◆ generation_rank

int32_t generation_rank

the generation difference between the time the sample was received, and the time the most recent sample in the collection was received.

## ◆ has_more_replies

bool has_more_replies = false

Flag to indicate if there are more replies (Extension for RPC).

## ◆ instance_handle

InstanceHandle_t instance_handle

identifies locally the corresponding instance

## ◆ instance_state

InstanceStateKind instance_state

indicates whether the instance is currently in existence or, if it has been disposed, the reason why it was disposed.

## ◆ no_writers_generation_count

int32_t no_writers_generation_count

number of times the instance had become alive after it was disposed because no writers

## ◆ publication_handle

InstanceHandle_t publication_handle

identifies locally the DataWriter that modified the instance

Is the same InstanceHandle_t that is returned by the operation get_matched_publications on the DataReader

## ◆ reception_timestamp

rtps::Time_t reception_timestamp

time provided by the DataReader when the sample was added to its history

## ◆ related_sample_identity

rtps::SampleIdentity related_sample_identity

Related Sample Identity (Extension for RPC).

## ◆ sample_identity

rtps::SampleIdentity sample_identity

Sample Identity (Extension for RPC).

## ◆ sample_rank

int32_t sample_rank

number of samples related to the same instance that follow in the collection

## ◆ sample_state

SampleStateKind sample_state

indicates whether or not the corresponding data sample has already been read

## ◆ source_timestamp

rtps::Time_t source_timestamp

time provided by the DataWriter when the sample was written

## ◆ valid_data

bool valid_data

whether the DataSample contains data or is only used to communicate of a change in the instance

## ◆ view_state

ViewStateKind view_state

indicates whether the DataReader has already seen samples for the most-current generation of the related instance.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/subscriber/SampleInfo.hpp